[SRU] Ephemeral device on G5 instances is incorrect due to GPT partition tables

Bug #1422919 reported by Ben Howard on 2015-02-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
High
Unassigned
Declined for Vivid by Ben Howard
Trusty
High
Unassigned
Utopic
High
Unassigned

Bug Description

[IMPACT] Ephemeral storage on Microsoft Azure G4 and G5 instance types use GPT partition tables by default. Cloud-init is not preparing the ephemeral devices.

[FIX] Add GPT partition support to Cloud-init.

[VERIFICATION]

New image:
1. Build image from -proposed
2. Boot G4 and G5 instance
3. Confirm that /mnt is mount as ext4 filesystem

Follow verification steps from Bug #1292648 (comment 3).

[RISK] This is a mild to medium risk change. However the changes are mitigated in the fact that on Azure, ephemeral devices are extra-ordinarily ephemeral; each boot may result in a new ephemeral device being present. Azure users are advised to not rely on the ephemeral storage at all (see Bug #1382257).

[ORIGINAL REPORT]
In the larger G-Series VM sizes (G4 and G5) we have SSD-backed ephemeral disks that are larger than 2TB, and so they look a little different; namely they now use a GPT partition table and they also have two partitions:

------------------------------------------------------------------
Model: Msft Virtual Disk (scsi)
Disk /dev/sdb: 6597GB
Sector size (logical/physical): 512B/512B Partition Table: gpt Disk
Flags:

Number Start End Size File system Name Flags
 1 17.4kB 134MB 134MB Microsoft reserved partition msftres
 2 135MB 6597GB 6597GB ntfs Basic data partition
------------------------------------------------------------------

This was fixed for 15.04 w/

revno: 1058 [merge]
committer: Scott Moser <email address hidden>
branch nick: trunk
timestamp: Fri 2015-02-13 15:52:47 -0500
message:
  support for managing GPT partitions

  Specifically, this is to support Azure's G-series VMs (which come with
  disks up to 6500GB).

affects: ubuntu → cloud-init (Ubuntu)
description: updated
Changed in cloud-init (Ubuntu):
status: Confirmed → In Progress
summary: - Ephemeral device on G5 instances is incorrect due to GPT partition
+ [SRU] Ephemeral device on G5 instances is incorrect due to GPT partition
tables

Hello Ben, or anyone else affected,

Accepted cloud-init into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.6~bzr1022-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Trusty):
importance: Undecided → High
Changed in cloud-init (Ubuntu Utopic):
importance: Undecided → High
Changed in cloud-init (Ubuntu Trusty):
status: New → In Progress
Changed in cloud-init (Ubuntu Utopic):
status: New → In Progress
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Ben, or anyone else affected,

Accepted cloud-init into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.5-0ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in cloud-init (Ubuntu Trusty):
assignee: nobody → Ben Howard (utlemming)
Changed in cloud-init (Ubuntu Utopic):
assignee: nobody → Ben Howard (utlemming)

Performed validation steps and confirmed that things are working as expected. Upon first-boot, 3TB disks are showing on G5 instances.

Existing G4/G5 instances will not have their ephemeral storage automatically re-created until the fabric presents a fresh ephemeral device device on boot.

Marking as validation-done.

tags: added: azure verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.6~bzr1022-0ubuntu2

---------------
cloud-init (0.7.6~bzr1022-0ubuntu2) utopic; urgency=medium

  [ Ben Howard ]
  * d/patches/lp-1383794-gce-short_name.patch: Use short hostname for GCE
    (LP: #1383794).

  [ Wayne Witzel III ]
  * d/patches/lp-1404311-gce-data_encoding.patch: Enable user-data encoding
    support for GCE (LP: #1404311).

  [ Daniel Watkins ]
  * d/patches/lp-1422919-azure-g5_ephemeral.patch: Properly format G5 series
    cloud instances (LP: #1422919).
 -- Ben Howard <email address hidden> Tue, 17 Feb 2015 15:15:33 -0700

Changed in cloud-init (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.5-0ubuntu1.4

---------------
cloud-init (0.7.5-0ubuntu1.4) trusty; urgency=medium

  [ Ben Howard ]
  * d/patches/lp-1383794-gce-short_name.patch: Use short hostname for GCE
    (LP: #1383794).

  [ Wayne Witzel III ]
  * d/patches/lp-1404311-gce-data_encoding.patch: Enable user-data encoding
    support for GCE (LP: #1404311).

  [ Daniel Watkins ]
  * d/patches/lp-1422919-azure-g5_ephemeral.patch: Properly format G5 series
    cloud instances (LP: #1422919).
 -- Ben Howard <email address hidden> Tue, 17 Feb 2015 14:56:16 -0700

Changed in cloud-init (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in cloud-init (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers